HttpMessage::factory
HttpMessage::fromString
HttpMessage
PHP Manual

# HttpMessage::fromEnv

(PECL pecl_http >= 1.5.0)

HttpMessage::fromEnv — Create HttpMessage from environment

### Description

static public HttpMessage HttpMessage::fromEnv ( int `$message_type` [, string `$class_name` = "HttpMessage" ] )

Create an HttpMessage object from script environment.

### Parameters

`message_type`

  The message type. See HttpMessage type constants.

`class_name`

  a class extending HttpMessage

### Return Values

Returns an HttpMessage object on success or `NULL` on failure.

### See Also

- HttpMessage::factory() - Create HttpMessage from string.

HttpMessage::factory
HttpMessage::fromString
HttpMessage
PHP Manual